Uploaded image for project: 'Jackrabbit Oak'
  1. Jackrabbit Oak
  2. OAK-2612

Findbugs plugin version should depend on JDK version

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.1.7
    • Fix Version/s: 1.0.36, 1.1.8
    • Component/s: parent
    • Labels:
      None

      Description

      Looking at the current CI builds the JDK 8 one is always failing because maven-findbugs-plugin-2.5.3 doesn't work with it, on the other hand upgrading to 3.0.0 will make the JDK 6 build failing, therefore the version used has to be dependent on the used JDK.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                teofili Tommaso Teofili
                Reporter:
                teofili Tommaso Teofili
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: